# -*- coding: UTF-8 -*-

"""
Constants
"""

# Project import
import symonitoring_alert.common as cmn


class NagiosLog(object):
    """Constants for nagios log"""
    STATE_OPEN             = 0
    STATE_ALERTED          = 1
    STATE_NO_SLA           = 2
    STATE_MALFORMED_ROW    = 3
    STATE_HOST_DISABLED    = 4
    STATE_ALERT_CLOSED     = 5
    STATE_ALERT_REPETITION = 6
    STATE_NO_TEAM          = 7
    STATE_IN_MAINTENANCE   = 8
    STATE_SOFT             = 9
    STATE_HOST_DOWN        = 10
    STATE_NO_PREVIOUS_DOWN = 11
    STATE_DEPENDENCY_DOWN  = 12
    STATE_DOES_NOT_EXIST   = 13
    STATE_WARNING          = 14
    STATE_GLOBAL_DISABLE   = 15


nagios_log_dict = cmn.consts_to_dict(NagiosLog)


class NotificationType(object):
    """Constants for notication types"""
    EMAIL        = 1
    SMS          = 2
    PHONE        = 3
    TIMEOUT      = 4
    ACKNOWLEDGED = 5
    XMPP         = 6
    # TODO: frontend has a type 7 here as SMS. What for?
    MATTERMOST   = 8


notification_type_dict = cmn.consts_to_dict(NotificationType)


class ActionType(object):
    """Constants for action types"""
    SMS          = 1
    PHONE        = 2
    EMAIL        = 3
    XMPP         = 4
    MATTERMOST   = 5


action_type_dict = cmn.consts_to_dict(ActionType)
action_to_notification = {}
action_to_notification[ActionType.SMS]   = NotificationType.SMS
action_to_notification[ActionType.PHONE] = NotificationType.PHONE
action_to_notification[ActionType.EMAIL] = NotificationType.EMAIL
action_to_notification[ActionType.XMPP]  = NotificationType.XMPP
action_to_notification[ActionType.MATTERMOST] = NotificationType.MATTERMOST


class AlertState(object):
    """Constants for alert states"""
    STATE_UP          = 'UP'
    STATE_DOWN        = 'DOWN'
    STATE_UNREACHABLE = 'UNREACHABLE'
    STATE_OK          = 'OK'
    STATE_WARNING     = 'WARNING'
    STATE_CRITICAL    = 'CRITICAL'

alert_state_dict = cmn.consts_to_dict(AlertState)


class TemplatePart(object):
    """Constants for template parts"""
    PART_PLAIN      = 'plain'
    PART_SUBJECT    = 'subject'
    PART_HTML       = 'html'

template_part_dict = cmn.consts_to_dict(TemplatePart)


class TemplateType(object):
    """Constants for template types"""
    ALERT      = 0
    INFOFEED   = 1


template_type_dict = cmn.consts_to_dict(TemplateType)
