# -*- coding: UTF-8 -*-

"""
Default templates for notifactions
"""

# System imports

# Project imports
import symonitoring_alert.constants as const

# pylint: disable=line-too-long

templates = {}

templates[const.ActionType.EMAIL] = (
    """
{% if type == 'alert' %}
    {% if part == 'subject' %}

[{{ logdata.log.state }}] {{ logdata.host.hostname }}:"""
    """{{logdata.service.name}} (Command: {{ logdata.command.name }})

    {% endif %}
    {% if part == 'plain' %}

{{ logdata.host.hostname }}:"""
    """{{logdata.service.name}} ({{ logdata.command.name }}):
{{ alert.output }}

Alert Id: {{ alert.id }} (Nagios Log Id: {{logdata.log.id }})

State: {{ logdata.log.state }}
    {% if syntax %}

There was a syntax error in your template:
{{ syntax }}
        {% endif %}

    {% endif %}
{% endif %}
{% if type == 'infofeed' %}
    {% if part == 'subject' %}

Infofeed: [{{ logdata.log.state }}] {{ logdata.host.hostname }}:"""
    """ {{logdata.service.name}} (Command: {{ logdata.command.name }})"""
    """{% if logdata.is_from_acknowledge and """
    """not logdata.acknowledged_processed %} has been acknowledged{% endif %}

    {% endif %}
    {% if part == 'plain' %}

{{ logdata.host.hostname }}:"""
    """ {{logdata.service.name}} ({{ logdata.command.name }}):
{{ alert.output }}

Alert Id: {{ alert.id }} (Nagios Log Id: {{logdata.log.id }})

State: {{ logdata.log.state }}

        {% if logdata.is_from_acknowledge and """
    """not logdata.acknowledged_processed %}
has been acknowledged.
        {% endif %}
        {% if syntax %}

There was a syntax error in your template:
{{ syntax }}

        {% endif %}
    {% endif %}
{% endif %}
"""
)

templates[const.ActionType.SMS] = (
    """
{% if type == 'alert' %}
[{{ logdata.log.state }}] {{ logdata.host.hostname }}: """
    """{{logdata.service.name}} ({{ logdata.command.name }}):
{{ alert.output }}
    {% if syntax %}
There was a syntax error in your template:
{{ syntax }}
    {% endif %}
{% endif %}
{% if type == 'infofeed' %}
Infofeed: [{{ logdata.log.state }}] {{ logdata.host.hostname }}: """
    """{{logdata.service.name}} ({{ logdata.command.name }}):
{{ alert.output }}
    {% if logdata.is_from_acknowledge and not logdata.acknowledged_processed %}
has been acknowledged.
    {% endif %}
    {% if syntax %}
There was a syntax error in your template:
{{ syntax }}
    {% endif %}
{% endif %}
"""
)

templates[const.ActionType.PHONE] = (
    """
"""
)


templates[const.ActionType.XMPP] = (
    """
{% if type == 'alert' %}
    {% if part == 'subject' %}

{{ is_action}}[{{ logdata.log.state }}] {{ logdata.host.hostname }}: """
    """{{logdata.service.name}} ({{ logdata.command.name }})
    {% endif %}
    {% if part == "html" %}

    <p>{{ is_action}}{{ logdata.host.hostname }}: """
    """{{logdata.service.name}} ({{ logdata.command.name }}):</p>
    <pre>Output: {{ alert.output }}</pre>
    <p>Alert Id: {{ alert.id }} (Nagios Log Id: {{logdata.log.id }})</p>
    <p>State: {{ logdata.log.state }}</p>

        {% if syntax %}

    <p></p>
    <p>There was a syntax error in your template:</p>
    <pre>{{ syntax }}</pre>

        {% endif %}

    {% endif %}
    {% if part == 'plain' %}

{{ is_action}}{{ logdata.host.hostname }} ({{ logdata.command.name }}):
{{ alert.output }}

Alert Id: {{ alert.id }} (Nagios Log Id: {{logdata.log.id }})

State: {{ logdata.log.state }}
    {% if syntax %}

There was a syntax error in your template:
{{ syntax }}
        {% endif %}

    {% endif %}
{% endif %}
{% if type == 'infofeed' %}
    {% if part == 'subject' %}

Infofeed: {{ is_action}}[{{ logdata.log.state }}] """
    """{{ logdata.host.hostname }}: """
    """{{logdata.service.name}} """
    """({{ logdata.command.name }}){% if logdata.is_from_acknowledge """
    """and not logdata.acknowledged_processed %} has been acknowledged{% endif %}

    {% endif %}
    {% if part == "html" %}

    <p>Infofeed: {{ is_action}}{{ logdata.host.hostname }}: """
    """{{logdata.service.name}} ({{ logdata.command.name }}):</p>
    <pre>Output: {{ alert.output }}</pre>
    <p>Alert Id: {{ alert.id }} (Nagios Log Id: {{logdata.log.id }})</p>
    <p>State: {{ logdata.log.state }}</p>
    {% if logdata.is_from_acknowledge and not logdata.acknowledged_processed %}

    <p>has been acknowledged.</p>

    {% endif %}

        {% if syntax %}

    <p></p>
    <p>There was a syntax error in your template:</p>
    <pre>{{ syntax }}</pre>

        {% endif %}

    {% endif %}
    {% if part == 'plain' %}

Infofeed: {{ is_action}}{{ logdata.host.hostname }}: """
    """{{logdata.service.name}} ({{ logdata.command.name }}):
{{ alert.output }}

Alert Id: {{ alert.id }} (Nagios Log Id: {{logdata.log.id }})

State: {{ logdata.log.state }}
    {% if logdata.is_from_acknowledge and not logdata.acknowledged_processed %}

has been acknowledged.

    {% endif %}
    {% if syntax %}

There was a syntax error in your template:
{{ syntax }}
        {% endif %}

    {% endif %}
{% endif %}
"""
)

templates[const.ActionType.MATTERMOST] = (
    """
{% if type == 'alert' %}
    {% if part == 'plain' %}
{{ is_action}}{{ logdata.host.hostname }} ({{ logdata.command.name }}):
{{ alert.output }}

Alert Id: {{ alert.id }} (Nagios Log Id: {{logdata.log.id }})

State: {{ logdata.log.state }}
    {% if syntax %}

There was a syntax error in your template:
{{ syntax }}
        {% endif %}

    {% endif %}
{% endif %}
{% if type == 'infofeed' %}
    {% if part == 'plain' %}

Infofeed: {{ is_action}}{{ logdata.host.hostname }}: """
    """{{logdata.service.name}} ({{ logdata.command.name }}):
{{ alert.output }}

Alert Id: {{ alert.id }} (Nagios Log Id: {{logdata.log.id }})

State: {{ logdata.log.state }}
    {% if logdata.is_from_acknowledge and not logdata.acknowledged_processed %}

has been acknowledged.

    {% endif %}
    {% if syntax %}

There was a syntax error in your template:
{{ syntax }}
        {% endif %}

    {% endif %}
{% endif %}
"""
)
