# -*- coding: UTF-8 -*-

""" Locking syalert software """


# System imports
import fcntl
import sys
import os

# Project imports
import symonitoring_alert.common as cmn

_pid = None


def lock():
    """ Try to lock pidfile or exit """
    global _pid  # pylint: disable=global-statement
    if not _pid:
        s = cmn.get_settings()
        _pid = open(s.LOCK_FILE, 'w')
        with cmn.timeout_signal(1):
            try:
                fcntl.flock(_pid.fileno(), fcntl.LOCK_EX)
            except IOError:
                sys.stderr.write("SyAlert already running!\n")
                sys.exit(1)
            _pid.truncate()
            _pid.write("{0}".format(os.getpid()))
