# -*- coding: UTF-8 -*-

"""Basic test to test project structure / nosetest itself"""

# pylint: disable=missing-docstring

# System imports
import tornado.gen        as gen
import datetime           as dt


# Project imports
import symonitoring_model.models     as mod
import symonitoring_alert.common     as cmn
import symonitoring_alert

s = cmn.get_settings()


class BasicTest(cmn.TestCase):
    def test_main_thread_no_block(self):
        with self.assertRaises(IOError):
            ob = mod.Customer.objects.select_related()[0]
            return ob


class MainTest(cmn.TestCase):
    def test_basic(self):
        # pylint: disable=protected-access
        with cmn._allow_add_handler_test_only():
            @gen.coroutine
            def stop():
                symonitoring_alert._stop = True
            cmn.add_timeout(dt.timedelta(
                seconds=0.2
            ), stop)
            try:
                oldval = s.POLL_RATE
                s.POLL_RATE = 100
                symonitoring_alert.main()
            finally:
                s.POLL_RATE = oldval
